OnlyFans API
FanslySubscription Discounts

List Subscription Discounts

Get all subscription discounts (gift links) configured on the Fansly Account.

GET
/api/fansly/{fanslyAccount}/subscription-discounts
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/subscription-discounts"
{
  "data": [
    {
      "id": "900000000000000001",
      "type": 1,
      "label": "Launch Week – 50% OFF",
      "accountId": "800000000000000001",
      "code": "OTAwMDAwMDAwMDAwMDAwMDAxOjE6MTowMWJlZWYxNDYy",
      "planId": "700000000000000010",
      "status": 1,
      "price": 2500,
      "original_price": 5000,
      "paymentMethodRequired": 0,
      "duration": 7,
      "maxUses": 100,
      "uses": 4,
      "newSubscribersOnly": 1,
      "version": 2,
      "createdAt": 1762620824000,
      "startsAt": 1762620788000,
      "endsAt": 1763225580000
    },
    {
      "id": "900000000000000002",
      "type": 1,
      "label": "",
      "accountId": "800000000000000001",
      "code": "OTAwMDAwMDAwMDAwMDAwMDAyOjE6MTpkN2ZlMTAwYzk1",
      "planId": "700000000000000011",
      "status": 2,
      "price": 5000,
      "original_price": 5000,
      "paymentMethodRequired": 0,
      "duration": 7,
      "maxUses": 100,
      "uses": 0,
      "newSubscribersOnly": 1,
      "version": 1,
      "createdAt": 1762402358000,
      "startsAt": null,
      "endsAt": null
    }
  ],
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 10055790,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}